%define version 0.98
%define release 3mdk
%define name wmcube

Summary:  Realtime rotating 3d-object and CPU load in a small dock app
Name:		%name
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
Source0:	%name-%{version}.tar.bz2
Source1:	%name-icons.tar.bz2
URL:		http://boombox.campus.luth.se/projects.php
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%name-buildroot

%description
wmCube is a dockapp that displays a realtime rotating 3d-object 
and the current CPU load.


%prep
rm -rf %buildroot

%setup -n wmcube

%build
make -C wmcube -f Makefile.LINUX CFLAGS="$RPM_OPT_FLAGS"

%install
[ -d %buildroot ] && rm -rf %buildroot

install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_iconsdir}
install -m 755 -d %buildroot%{_liconsdir}
tar xOjf %SOURCE1 16x16.xpm > %buildroot%{_miconsdir}/%name.xpm
tar xOjf %SOURCE1 32x32.xpm > %buildroot%{_iconsdir}/%name.xpm
tar xOjf %SOURCE1 48x48.xpm > %buildroot%{_liconsdir}/%name.xpm

mkdir -p %buildroot%{prefix}/bin/
install -m 755 wmcube/wmcube %buildroot%{prefix}/bin/

mkdir -p %buildroot%{prefix}/share/wmcube
install -m 644 3dObjects/* %buildroot%{prefix}/share/wmcube

install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%name
?package(%name):command="%{prefix}/bin/%name -o /usr/X11R6/share/wmcube/ball-solid.wmc" icon="%name.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="WmCube"\\
                 longtitle="A realtime rotating 3d-object and CPU load in a small icon"
EOF


%clean
rm -rf %buildroot

%post
%update_menus


%postun
%clean_menus


%files
%defattr (-,root,root)
%doc CHANGES INSTALL README TODO
%{prefix}/bin/%name
%{_liconsdir}/%name.xpm
%{_miconsdir}/%name.xpm
%{_iconsdir}/%name.xpm
%{_menudir}/%name
%{prefix}/share/%name/*

%changelog
* Mon Aug 13 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.98-3mdk
- 3D objects that I forgot are back in (/usr/X11R6/share/wmcube)
- "y" option for tar is now updated to "j" 
- optimizations made right
- some spec clean-outs

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.98-2mdk
- rebuild

* Wed Oct 31 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.98-0mdk
- Initial release.
